/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface ExportedSimConfigSettings
 */
export interface ExportedSimConfigSettings {
    /**
     * 
     * @type {string}
     * @memberof ExportedSimConfigSettings
     */
    path: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof ExportedSimConfigSettings
     */
    selectedExperiments: Array<string>;
    /**
     * xml in base 64
     * @type {string}
     * @memberof ExportedSimConfigSettings
     */
    xmlContent: string;
}

/**
 * Check if a given object implements the ExportedSimConfigSettings interface.
 */
export function instanceOfExportedSimConfigSettings(value: object): boolean {
    let isInstance = true;
    isInstance = isInstance && "path" in value;
    isInstance = isInstance && "selectedExperiments" in value;
    isInstance = isInstance && "xmlContent" in value;

    return isInstance;
}

export function ExportedSimConfigSettingsFromJSON(json: any): ExportedSimConfigSettings {
    return ExportedSimConfigSettingsFromJSONTyped(json, false);
}

export function ExportedSimConfigSettingsFromJSONTyped(json: any, ignoreDiscriminator: boolean): ExportedSimConfigSettings {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'path': json['path'],
        'selectedExperiments': json['selectedExperiments'],
        'xmlContent': json['xmlContent'],
    };
}

export function ExportedSimConfigSettingsToJSON(value?: ExportedSimConfigSettings | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'path': value.path,
        'selectedExperiments': value.selectedExperiments,
        'xmlContent': value.xmlContent,
    };
}

